=== app/proton_python_client/requirements.txt ===
requests>=2.16
bcrypt
python-gnupg
pyopenssl
