=== app/proton_python_client/debian/changelog ===
proton-python-client (0.7.1-2) unstable; urgency=medium

  * Improve: Logging
  * Improve: Alternative routing logic
  * Improve: Human verification logic

 -- Proton Technologies AG <opensource@proton.me>  Fri, 15 Oct 2021 12:45:00 +0100

proton-python-client (0.7.0-1) unstable; urgency=medium

  * Feature: Request human verification
  * Fix: Allow to make and retrieve non-json responses from API

 -- Proton Technologies AG <opensource@proton.me>  Fri, 24 Sep 2021 11:30:00 +0100
 

proton-python-client (0.6.1-4) unstable; urgency=medium

  * Feature: Alternative Routing

 -- Proton Technologies AG <opensource@proton.me>  Thu, 08 Jul 2021 17:30:00 +0100

proton-python-client (0.5.1-3) unstable; urgency=medium

  * Add new exceptions for improved case handling

 -- Proton Technologies AG <opensource@proton.me>  Mon, 24 May 2021 11:30:00 +0100

proton-python-client (0.5.0-1) unstable; urgency=medium

  * Add new exceptions
  * Throw custom exceptions in case of network errors, abstracting from the package that is being used for requests

 -- Proton Technologies AG <opensource@proton.me>  Fri, 30 Apr 2021 18:15:00 +0100
 

proton-python-client (0.4.1-1) unstable; urgency=medium

  * Add long description to setup.py

 -- Proton Technologies AG <opensource@proton.me>  Wed, 21 Apr 2021 13:45:00 +0100
 

proton-python-client (0.4.0-1) unstable; urgency=medium

  * Add proxy support
  * Verify fingerprint of signer key

 -- Proton Technologies AG <opensource@proton.me>  Mon, 19 Apr 2021 10:50:00 +0100
 

proton-python-client (0.3.0-1) unstable; urgency=medium

  * Set flags to BNs in the openssl implementation using BN_set_flags and BN_FLAG_CONSTTIME

 -- Proton Technologies AG <opensource@proton.me>  Wed, 27 Jan 2021 12:12:23 +0000
 

proton-python-client (0.2.0-3) unstable; urgency=medium

  * Bugfix: Invalid modulus
  * Bugfix: Invalid salt

 -- Proton Technologies AG <opensource@proton.me>  Mon, 04 Jan 2021 10:00:04 +0000

proton-python-client (0.1.0-1) unstable; urgency=medium

  * Project is flake8 compatible
  * Remove unused folder
  * Initial beta release

 -- Proton Technologies AG <opensource@proton.me>  Fri, 13 Nov 2020 14:19:02 +0000

proton-python-client (0.0.9-2) unstable; urgency=medium

  * Add timeout

 -- Proton Technologies AG <opensource@proton.me>  Mon, 09 Nov 2020 14:42:13 +0000

proton-python-client (0.0.9-1) unstable; urgency=medium

  * Pass headers to exception

 -- Proton Technologies AG <opensource@proton.me>  Thu, 29 Oct 2020 16:34:49 +0000

proton-python-client (0.0.8-1) unstable; urgency=medium

  * Add secret key

 -- Proton Technologies AG <opensource@proton.me>  Wed, 28 Oct 2020 10:21:15 +0100

proton-python-client (0.0.7-1) unstable; urgency=medium

  * Initial release
  * Releasing signed package.

 -- Proton Technologies AG <opensource@proton.me>  Wed, 28 Oct 2020 14:41:37 +0100
