=== app/proton_python_client/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=proton-python-client

%:
	dh $@ --with python3 --buildsystem=pybuild
